Lấy thông tin chi tiết crypto
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/crypto-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/crypto-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/crypto-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/crypto-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/crypto-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/crypto-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/crypto-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"algorithm": "<string>",
"coinName": "<string>",
"fullName": "<string>",
"fullyPremined": "<string>",
"id": 123,
"imageUrl": "<string>",
"name": "<string>",
"preMinedValue": "<string>",
"proofType": "<string>",
"sortOrder": 123,
"sponsored": true,
"symbol": "<string>",
"smartContractAddress": "<string>",
"totalCoinsFreeFloat": "<string>",
"totalCoinSupply": "<string>",
"url": "<string>",
"isTrading": true,
"description": "<string>",
"circulatingSupply": 123,
"maxSupply": 123,
"platformType": "<string>",
"builtOn": "<string>",
"otherSmartContractAddress": "<string>",
"totalCoinsMined": 123,
"blockNumber": 123,
"blockTime": 123,
"blockReward": 123,
"decimalPoints": 123,
"assetLaunchDate": "2023-11-07T05:31:56Z",
"rating": "<string>",
"marketCap": 123,
"marketCapPenalty": 123,
"type": 123,
"price": 123,
"priceAt": "2023-11-07T05:31:56Z",
"median": 123,
"volume": 123,
"totalVolume": 123,
"change": 123,
"basic": 123,
"open": 123,
"high": 123,
"low": 123,
"currentSupply": 123,
"fractionDigits": 123,
"volume24h": 123
}Symbols
Lấy thông tin chi tiết crypto
GET
/
symbols
/
{symbol}
/
crypto-info
Lấy thông tin chi tiết crypto
curl --request GET \
--url https://api.fireant.vn/symbols/{symbol}/crypto-info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/symbols/{symbol}/crypto-info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/symbols/{symbol}/crypto-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/symbols/{symbol}/crypto-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/symbols/{symbol}/crypto-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/symbols/{symbol}/crypto-info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/symbols/{symbol}/crypto-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"algorithm": "<string>",
"coinName": "<string>",
"fullName": "<string>",
"fullyPremined": "<string>",
"id": 123,
"imageUrl": "<string>",
"name": "<string>",
"preMinedValue": "<string>",
"proofType": "<string>",
"sortOrder": 123,
"sponsored": true,
"symbol": "<string>",
"smartContractAddress": "<string>",
"totalCoinsFreeFloat": "<string>",
"totalCoinSupply": "<string>",
"url": "<string>",
"isTrading": true,
"description": "<string>",
"circulatingSupply": 123,
"maxSupply": 123,
"platformType": "<string>",
"builtOn": "<string>",
"otherSmartContractAddress": "<string>",
"totalCoinsMined": 123,
"blockNumber": 123,
"blockTime": 123,
"blockReward": 123,
"decimalPoints": 123,
"assetLaunchDate": "2023-11-07T05:31:56Z",
"rating": "<string>",
"marketCap": 123,
"marketCapPenalty": 123,
"type": 123,
"price": 123,
"priceAt": "2023-11-07T05:31:56Z",
"median": 123,
"volume": 123,
"totalVolume": 123,
"change": 123,
"basic": 123,
"open": 123,
"high": 123,
"low": 123,
"currentSupply": 123,
"fractionDigits": 123,
"volume24h": 123
}Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Mã crypto
Phản hồi
Thành công
Gets or sets the algorithm of the coin.
Gets or sets the name of the coin.
Gets or sets the full name of the coins.
Gets or sets the number of fully premined coins.
Gets or sets the internal id, this is used in other calls.
Gets or sets he logo image of the coin.
Gets or sets the coin name.
Gets or sets the pre-mined value.
Gets or sets the proof type.
Gets the sort order.
Gets or sets a value indicating whether the coin is sponsored.
Gets or sets the symbol.
Gets or sets the smart contract address.
Gets or sets the total number of freed coins.
Gets or sets the total number of supplied coins.
Gets or sets the url of the coin on cryptocompare.